For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • POSTAdvanced Search
      • POSTBatch Lookup Deals
      • GETSearch Users
      • PUTSet User Deal Role
      • DELRemove User From Deal
      • POSTCreate Deal
      • GETDeals
      • GETSearch Deals
      • POSTSearch Deals Advanced
      • GETDeal
      • PUTUpdate Deal
      • DELDelete Deal
      • GETExtra Metadata
      • PUTSet Metadata
      • DELDelete Metadata
      • POSTOrder Scan
      • GETComparable Deals
      • POSTExtract Key Findings and Company Description from a scan PDF
      • POSTGenerate a customized investment data request
      • GETGet Inline Image
      • PUTUpload Inline Image
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementDeal

Extract Key Findings and Company Description from a scan PDF

POST
/api/v1/group/:group_id/deal/:deal_id/file/:file_id/extract-key-findings
POST
/api/v1/group/:group_id/deal/:deal_id/file/:file_id/extract-key-findings
$curl -X POST https://app.termina.ai/api/v1/group/1/deal/1/file/1/extract-key-findings \
> -H "Authorization: Bearer <token>"
1{
2 "key_findings": {
3 "company_name": "string",
4 "overall_assessment": "string",
5 "scan_type": "string",
6 "findings": [
7 {
8 "topic": "string",
9 "score_level": "significant_positive",
10 "tldr": "string",
11 "description": "string"
12 }
13 ],
14 "what_could_go_right": "",
15 "page_number": 0
16 },
17 "company_description": {
18 "title": "string",
19 "company": "string",
20 "products": "string",
21 "customers": "string",
22 "image_url": "",
23 "page_number": 0
24 }
25}

Downloads the scan PDF attached to the deal, locates the Key Findings and Company Description pages, runs structured LLM extraction over both pages concurrently, and returns the combined result. Company description extraction is best-effort and may return null.

Was this page helpful?
Previous

Generate a customized investment data request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired
deal_idintegerRequired
file_idintegerRequired

Response

Successful Response
key_findingsobject
Structured key findings extraction
company_descriptionobject or null
Structured company description extracted from a nearby page, if found

Errors

422
Unprocessable Entity Error